Debian Bug report logs - #607416
Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380. (s390/s390x only)

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Stephen Powell <zlinuxman@wowway.com>

Date: Sat, 18 Dec 2010 03:42:01 UTC

Severity: normal

Tags: pending

Found in version 2.6.32-29

Fixed in version 2.6.38~rc6-1~experimental.1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Sat, 18 Dec 2010 03:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 18 Dec 2010 03:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: submit@bugs.debian.org
Subject: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380. (s390/s390x only)
Date: Fri, 17 Dec 2010 22:38:57 -0500 (EST)
Package: linux-2.6
Version: 2.6.32-29

The device table in drivers/s390/block/dasd_eckd.c which indicates which
storage control unit and dasd device type combinations are supported by
the driver is incorrect.  The device table indicates that a combination
of 3880 for a control unit and 3390 for a device type is supported.  That
is incorrect.  A 3880 storage control unit will support a 3380 device
type, but not a 3390 device type.  Here is a code excerpt:

static struct ccw_device_id dasd_eckd_ids[] = {
        { CCW_DEVICE_DEVTYPE (0x3990, 0, 0x3390, 0), .driver_info = 0x1},
        { CCW_DEVICE_DEVTYPE (0x2105, 0, 0x3390, 0), .driver_info = 0x2},
        { CCW_DEVICE_DEVTYPE (0x3880, 0, 0x3390, 0), .driver_info = 0x3},  /* bad one! */
        { CCW_DEVICE_DEVTYPE (0x3990, 0, 0x3380, 0), .driver_info = 0x4},
        { CCW_DEVICE_DEVTYPE (0x2105, 0, 0x3380, 0), .driver_info = 0x5},
        { CCW_DEVICE_DEVTYPE (0x9343, 0, 0x9345, 0), .driver_info = 0x6},
        { CCW_DEVICE_DEVTYPE (0x2107, 0, 0x3390, 0), .driver_info = 0x7},
        { CCW_DEVICE_DEVTYPE (0x2107, 0, 0x3380, 0), .driver_info = 0x8},
        { CCW_DEVICE_DEVTYPE (0x1750, 0, 0x3390, 0), .driver_info = 0x9},
        { CCW_DEVICE_DEVTYPE (0x1750, 0, 0x3380, 0), .driver_info = 0xa},
        { /* end of list */ },
};

The bad line should be changed to

        { CCW_DEVICE_DEVTYPE (0x3880, 0, 0x3380, 0), .driver_info = 0x3},  /* corrected */

Other supporting code in the driver may also need to be changed, I don't know.
But I do know that a 3880 storage control unit does not support a 3390 device.
It does support a 3380 device, but that is missing from the table.

This is clearly an issue to be pursued upstream, it is not an issue of
Debian packaging.  But I opened this bug report to have a place to
put upstream correspondence related to this bug.  I will pursue the matter
with upstream, as I did the last kernel bug that I opened.

This is not a release-critical bug and should not delay the process of
making squeeze the stable release.  However, it would be nice if the fix
for this bug eventually made it into a future stable point release.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Sun, 19 Dec 2010 01:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 19 Dec 2010 01:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: linux390@de.ibm.com
Cc: 607416@bugs.debian.org
Subject: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Sat, 18 Dec 2010 19:59:00 -0500 (EST)
Hello upstream,

This is a bug report for drivers/s390/block/dasd_eckd.c in the
Linux kernel source code.  The device table indicates that a
combination of a 3880 storage control unit and a 3390 DASD device
type is valid.  This is incorrect.  A 3880 storage control unit
cannot support a 3390 device type.  However, it can support a
3380 device type, and that is not present in the table.
See Debian bug report number 607416 for details.

   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607416

I have made the one-line change indicated in the bug report and
created a custom kernel, which runs with no apparent ill effects.
However, you might want to look things over to see if anything
needs to be changed in the code logic as well.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Fri, 24 Dec 2010 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 24 Dec 2010 01:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: linux390@de.ibm.com
Cc: 607416@bugs.debian.org
Subject: Re: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Thu, 23 Dec 2010 20:02:34 -0500 (EST)
On Sat, 18 Dec 2010 19:59:00 -0500 (EST), Stephen Powell wrote:
> 
> This is a bug report for drivers/s390/block/dasd_eckd.c in the
> Linux kernel source code.  The device table indicates that a
> combination of a 3880 storage control unit and a 3390 DASD device
> type is valid.  This is incorrect.  A 3880 storage control unit
> cannot support a 3390 device type.  However, it can support a
> 3380 device type, and that is not present in the table.

In case anybody cares but doesn't know, the authoritative
reference on this subject is the following IBM publication:

IBM 3880 Storage Control
Models 1, 2, 3, and 4
Reference Manual
(Publication Number GA26-1661)

I happen to have a (hard) copy of this manual, the -6 version dated
April, 1983.  IBM didn't publish soft-copy documentation back
then, only hard copy.  Nevertheless, I was able to find a
soft-copy version on the internet.  Someone took his hard-copy
version, ran it page-by-page through a scanner, and converted
the results to a PDF file.  This copy is a newer revision,
the -9 version, dated September, 1987.  See

   http://www.bitsavers.org/pdf/ibm/dasd

look for the link titled

   GA26-1661-9_3880_StorageCtrlDescr_Sep87.pdf

single right click on it and select "Save Target as" from
the pop-up menu to download it.  Open it with whatever you
normally use to open a PDF file.  Of course, you can't search
it for text, since the whole manual is a collection of images,
due to the way it was created.

You won't get very far into the document before you will find
a list of devices supported by the control unit.  A 3390 is
not one of them.  But a 3380 is.  The only other device supported
by the Linux kernel that the 3880 Storage Control unit supports
is a 3370, which is an FBA device.  It is (correctly) listed
in the device table in drivers/s390/block/dasd_fba.c.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Mon, 27 Dec 2010 09:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Borntraeger <borntraeger@de.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 27 Dec 2010 09:45:07 GMT) Full text and rfc822 format available.

Message #20 received at 607416@bugs.debian.org (full text, mbox):

From: Christian Borntraeger <borntraeger@de.ibm.com>
To: 607416@bugs.debian.org
Subject: will handle
Date: Mon, 27 Dec 2010 10:43:45 +0100
Stephen,

thanks for your report. I forwarded your report to our DASD developers to
handle the report.

Christian

PS: For bug reports or patches you can also include linux-s390@vger.kernel.org
most of our developers are subscribed to that list.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Sun, 13 Feb 2011 02:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 13 Feb 2011 02:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: Christian Borntraeger <borntraeger@de.ibm.com>
Cc: 607416@bugs.debian.org, linux-s390@vger.kernel.org
Subject: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Sat, 12 Feb 2011 21:10:07 -0500 (EST)
On Mon, 27 Dec 2010 10:43:45 +0100, Christian Borntraeger wrote:
> 
> Stephen,
> 
> thanks for your report. I forwarded your report to our DASD developers to
> handle the report.
> 
> Christian
> 
> PS: For bug reports or patches you can also include linux-s390@vger.kernel.org
> most of our developers are subscribed to that list.

Well, it's been about a month and a half, and I have seen no activity,
and this is a very simple fix; so I thought I would post directly to
linux-s390@vger.kernel.org to see if I can generate some activity.
The details of this bug report can be found at

   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607416

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Tue, 15 Feb 2011 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Haberland <sth@linux.vnet.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 15 Feb 2011 12:12:03 GMT) Full text and rfc822 format available.

Message #30 received at 607416@bugs.debian.org (full text, mbox):

From: Stefan Haberland <sth@linux.vnet.ibm.com>
To: zlinuxman@wowway.com
Cc: borntraeger@de.ibm.com, 607416@bugs.debian.org, linux-s390@vger.kernel.org
Subject: Re: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Mon, 14 Feb 2011 12:55:07 +0100
> Begin forwarded message:
>
> Date: Sat, 12 Feb 2011 21:10:07 -0500 (EST)
> From: Stephen Powell <zlinuxman@wowway.com>
> To: Christian Borntraeger <borntraeger@de.ibm.com>
> Cc: 607416@bugs.debian.org, linux-s390@vger.kernel.org
> Subject: Device table incorrect for drivers/s390/block/dasd_eckd.c: 
> 3880/3390 should be 3880/3380
>
>
> On Mon, 27 Dec 2010 10:43:45 +0100, Christian Borntraeger wrote:
> >
> > Stephen,
> >
> > thanks for your report. I forwarded your report to our DASD 
> developers to
> > handle the report.
> >
> > Christian
> >
> > PS: For bug reports or patches you can also include 
> linux-s390@vger.kernel.org
> > most of our developers are subscribed to that list.
>
> Well, it's been about a month and a half, and I have seen no activity,
> and this is a very simple fix; so I thought I would post directly to
> linux-s390@vger.kernel.org to see if I can generate some activity.
> The details of this bug report can be found at
>
>    http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=607416
>
> -- 
>   .''`.     Stephen Powell
>  : :'  :
>  `. `'`
>    `-
> --
> To unsubscribe from this list: send the line "unsubscribe linux-s390" in
> the body of a message to majordomo@vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>

Hi,

thank you for the reminder. Fix is checked into our CVS.

Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Wed, 13 Apr 2011 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Apr 2011 23:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: 607416@bugs.debian.org
Subject: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Wed, 13 Apr 2011 19:34:15 -0400 (EDT)
I can confirm that the problem reported in this bug report has been fixed in
linux-source-2.6.38 version 2.6.38-3 (and in binaries derived from that
source).  Perhaps it was fixed in earlier versions as well; but this is the
first version I have tried in which it works.

   /sbin/modinfo dasd_eckd_mod

will confirm the fix.  Notice that control unit 3880 is associated with
device 3380 in the alias, not device 3390, as is the case for the broken
version.  I don't know what "git commit" is associated with this fix,
but whatever it is it is present in version 2.6.38-3.  See companion bug
number 620126 in package sysconfig-hardware for the same bug in another
package.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Thu, 14 Apr 2011 05:03:05 GMT) Full text and rfc822 format available.

Notification sent to Stephen Powell <zlinuxman@wowway.com>:
Bug acknowledged by developer. (Thu, 14 Apr 2011 05:03:06 GMT) Full text and rfc822 format available.

Message #40 received at 607416-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stephen Powell <zlinuxman@wowway.com>
Cc: 607416-done@bugs.debian.org
Subject: Re: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Thu, 14 Apr 2011 00:00:34 -0500
Version: 2.6.38~rc6-1~experimental.1

Hi Stephen,

Stephen Powell wrote:

> I can confirm that the problem reported in this bug report has been fixed in
> linux-source-2.6.38 version 2.6.38-3 (and in binaries derived from that
> source).

Yep, fixed by v2.6.38-rc6~14^2~4 ([S390] dasd: correct device table,
2011-02-17).  Thanks for your persistence.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Thu, 14 Apr 2011 09:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Apr 2011 09:18:06 GMT) Full text and rfc822 format available.

Message #45 received at 607416@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Stephen Powell <zlinuxman@wowway.com>, 607416@bugs.debian.org
Subject: Re: Bug#607416: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Thu, 14 Apr 2011 11:05:37 +0200
On Wed, Apr 13, 2011 at 07:34:15PM -0400, Stephen Powell wrote:
> I can confirm that the problem reported in this bug report has been fixed in
> linux-source-2.6.38 version 2.6.38-3 (and in binaries derived from that
> source).  Perhaps it was fixed in earlier versions as well; but this is the
> first version I have tried in which it works.

You know stable@kernel.org? Use it.

Bastian

-- 
Either one of us, by himself, is expendable.  Both of us are not.
		-- Kirk, "The Devil in the Dark", stardate 3196.1




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Sat, 23 Apr 2011 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Apr 2011 02:24:03 GMT) Full text and rfc822 format available.

Message #50 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: Bastian Blank <waldi@debian.org>
Cc: 607416@bugs.debian.org, Jonathan Nieder <jrnieder@gmail.com>
Subject: Bug #607416: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Fri, 22 Apr 2011 22:20:22 -0400 (EDT)
On Thu, 14 Apr 2011 11:05:37 +0200, Bastian Blank wrote:
> 
> You know stable@kernel.org?  Use it.

Yes, I contacted stable@kernel.org regarding bug number 550898.  But
this situation is a little bit different.  With 550898, IBM wrote
a single git commit to fix a single bug.  Asking for that commit to
be back-ported was a routine matter.  But for bug number 607416 it appears
that they didn't do it that way.  Thanks to the information provided by
Jonathan Nieder, I was able to find the commit for this bug.  It is
listed below:

-----

   commit f85cca6b25971a09efbe4c6a3ae405d40c8f86da
   Merge: 6f576d5 dd30ac3
   Author: Linus Torvalds <torvalds@linux-foundation.org>
   Date:   Mon Feb 21 14:55:49 2011 -0800

       Merge branch 'for-linus' of git://git390.marist.edu/pub/scm/linux-2.6

       * 'for-linus' of git://git390.marist.edu/pub/scm/linux-2.6:
         [S390] net: provide architecture specific NET_SKB_PAD
         [S390] atomic: use inline asm
         [S390] correct ipl parameter block safe guard
         [S390] atomic: use ACCESS_ONCE() for atomic_read()
         [S390] dasd: correct device table

-----

As far as I can tell, only the last line is applicable to this bug.

         [S390] dasd: correct device table

In other words, instead of producing a single fix for a single bug,
they threw the fix in with several other miscellaneous fixes and enhancements.
I wish IBM hadn't done it that way, but they did.  Therefore, I am unsure
as to how to proceed.  Do I ask stable@kernel.org to port the whole commit?
(It may have dependencies on previous commits and get complicated rather
quickly.)  Or do I ask them to cherry pick that one-line change in
drivers/s390/block/dasd_eckd.c?  I could use some advice here.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Sat, 23 Apr 2011 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Apr 2011 03:15:04 GMT) Full text and rfc822 format available.

Message #55 received at 607416@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Stephen Powell <zlinuxman@wowway.com>
Cc: Bastian Blank <waldi@debian.org>, 607416@bugs.debian.org, stable@kernel.org
Subject: Re: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Fri, 22 Apr 2011 22:09:50 -0500
Hi Stephen,

Stephen Powell wrote:

>    commit f85cca6b25971a09efbe4c6a3ae405d40c8f86da
>    Merge: 6f576d5 dd30ac3
>    Author: Linus Torvalds <torvalds@linux-foundation.org>
>    Date:   Mon Feb 21 14:55:49 2011 -0800
> 
>        Merge branch 'for-linus' of git://git390.marist.edu/pub/scm/linux-2.6
> 
>        * 'for-linus' of git://git390.marist.edu/pub/scm/linux-2.6:
>          [S390] net: provide architecture specific NET_SKB_PAD
>          [S390] atomic: use inline asm
>          [S390] correct ipl parameter block safe guard
>          [S390] atomic: use ACCESS_ONCE() for atomic_read()
>          [S390] dasd: correct device table
>
> -----
>
> As far as I can tell, only the last line is applicable to this bug.
>
>          [S390] dasd: correct device table

If you run "git log dd30ac3 --grep='dasd: correct device table'", then
the fix will show up:

 commit 5da24b7627ff821e154a3aaecd5d60e1d8e228a5
 Author: Stefan Haberland <stefan.haberland@de.ibm.com>
 Date:   Thu Feb 17 13:13:55 2011 +0100

     [S390] dasd: correct device table

     The 3880 storage control unit supports a 3380 device
     type, but not a 3390 device type.

     Reported-by: Stephen Powell <zlinuxman@wowway.com>
     Signed-off-by: Stefan Haberland <stefan.haberland@de.ibm.com>
     Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>

See http://www.kernel.org/pub/software/scm/git/docs/git-merge.html for
details if curious.

> Do I ask stable@kernel.org to port the whole commit?
> (It may have dependencies on previous commits and get complicated rather
> quickly.)  Or do I ask them to cherry pick that one-line change in
> drivers/s390/block/dasd_eckd.c?  I could use some advice here.

Presumably that (5da24b76) is the commit to backport; I am not sure
which kernels it applies to.

Hope that helps,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Sat, 23 Apr 2011 13:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 23 Apr 2011 13:12:05 GMT) Full text and rfc822 format available.

Message #60 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Bastian Blank <waldi@debian.org>, 607416@bugs.debian.org, stable@kernel.org
Subject: Re: Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Sat, 23 Apr 2011 09:10:19 -0400 (EDT)
On Fri, 22 Apr 2011 23:09:50 -0400 (EDT), Jonathan Nieder wrote:
> 
> If you run "git log dd30ac3 --grep='dasd: correct device table'", then
> the fix will show up:
> 
>  commit 5da24b7627ff821e154a3aaecd5d60e1d8e228a5
>  Author: Stefan Haberland <stefan.haberland@de.ibm.com>
>  Date:   Thu Feb 17 13:13:55 2011 +0100
> 
>      [S390] dasd: correct device table
> 
>      The 3880 storage control unit supports a 3380 device
>      type, but not a 3390 device type.
> 
>      Reported-by: Stephen Powell <zlinuxman@wowway.com>
>      Signed-off-by: Stefan Haberland <stefan.haberland@de.ibm.com>
>      Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
> 
> ...
> 
> Presumably that (5da24b76) is the commit to backport; I am not sure
> which kernels it applies to.

Thanks for the information, Jonathan.  I'm afraid I don't know much about
git, and my ignorance is showing.  What I do know how to use is the
Linux cross reference at http://lxr.linux.no/+trees, and by using that
it appears that this bug, in some form, goes all the way back to day 1.
All supported stable kernels will no doubt contain the bug, though the
line numbers in the patch may need to be adjusted from one release to
the next.  It is a very simple one-line change.

So, stable, I hereby respectfully request that the above-mentioned bug
fix be backported to the supported stable kernel releases.  Personally,
I am most interested in the 2.6.32 kernel, as that is the basis for
Debian Squeeze.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Mon, 25 Apr 2011 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <greg@kroah.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Apr 2011 00:15:03 GMT) Full text and rfc822 format available.

Message #65 received at 607416@bugs.debian.org (full text, mbox):

From: Greg KH <greg@kroah.com>
To: Stephen Powell <zlinuxman@wowway.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, Bastian Blank <waldi@debian.org>, stable@kernel.org, 607416@bugs.debian.org
Subject: Re: [stable] Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Sun, 24 Apr 2011 16:52:47 -0700
On Sat, Apr 23, 2011 at 09:10:19AM -0400, Stephen Powell wrote:
> On Fri, 22 Apr 2011 23:09:50 -0400 (EDT), Jonathan Nieder wrote:
> > 
> > If you run "git log dd30ac3 --grep='dasd: correct device table'", then
> > the fix will show up:
> > 
> >  commit 5da24b7627ff821e154a3aaecd5d60e1d8e228a5
> >  Author: Stefan Haberland <stefan.haberland@de.ibm.com>
> >  Date:   Thu Feb 17 13:13:55 2011 +0100
> > 
> >      [S390] dasd: correct device table
> > 
> >      The 3880 storage control unit supports a 3380 device
> >      type, but not a 3390 device type.
> > 
> >      Reported-by: Stephen Powell <zlinuxman@wowway.com>
> >      Signed-off-by: Stefan Haberland <stefan.haberland@de.ibm.com>
> >      Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
> > 
> > ...
> > 
> > Presumably that (5da24b76) is the commit to backport; I am not sure
> > which kernels it applies to.
> 
> Thanks for the information, Jonathan.  I'm afraid I don't know much about
> git, and my ignorance is showing.  What I do know how to use is the
> Linux cross reference at http://lxr.linux.no/+trees, and by using that
> it appears that this bug, in some form, goes all the way back to day 1.
> All supported stable kernels will no doubt contain the bug, though the
> line numbers in the patch may need to be adjusted from one release to
> the next.  It is a very simple one-line change.
> 
> So, stable, I hereby respectfully request that the above-mentioned bug
> fix be backported to the supported stable kernel releases.  Personally,
> I am most interested in the 2.6.32 kernel, as that is the basis for
> Debian Squeeze.

Ok, now queued up, thanks.

greg k-h




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#607416; Package linux-2.6. (Mon, 25 Apr 2011 01:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stephen Powell <zlinuxman@wowway.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Apr 2011 01:00:03 GMT) Full text and rfc822 format available.

Message #70 received at 607416@bugs.debian.org (full text, mbox):

From: Stephen Powell <zlinuxman@wowway.com>
To: Greg KH <greg@kroah.com>
Cc: Jonathan Nieder <jrnieder@gmail.com>, Bastian Blank <waldi@debian.org>, stable@kernel.org, 607416@bugs.debian.org
Subject: Re: [stable] Device table incorrect for drivers/s390/block/dasd_eckd.c: 3880/3390 should be 3880/3380
Date: Sun, 24 Apr 2011 20:56:40 -0400 (EDT)
On Sun, 24 Apr 2011 19:52:47 -0400 (EDT), Greg KH <greg@kroah.com> wrote:
> On Sat, Apr 23, 2011 at 09:10:19AM -0400, Stephen Powell wrote:
>> On Fri, 22 Apr 2011 23:09:50 -0400 (EDT), Jonathan Nieder wrote:
>>> 
>>> If you run "git log dd30ac3 --grep='dasd: correct device table'", then
>>> the fix will show up:
>>> 
>>>  commit 5da24b7627ff821e154a3aaecd5d60e1d8e228a5
>>>  Author: Stefan Haberland <stefan.haberland@de.ibm.com>
>>>  Date:   Thu Feb 17 13:13:55 2011 +0100
>>> 
>>>      [S390] dasd: correct device table
>>> 
>>>      The 3880 storage control unit supports a 3380 device
>>>      type, but not a 3390 device type.
>>> 
>>>      Reported-by: Stephen Powell <zlinuxman@wowway.com>
>>>      Signed-off-by: Stefan Haberland <stefan.haberland@de.ibm.com>
>>>      Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
>>> 
>>> ...
>>> 
>>> Presumably that (5da24b76) is the commit to backport; I am not sure
>>> which kernels it applies to.
>> 
>> Thanks for the information, Jonathan.  I'm afraid I don't know much about
>> git, and my ignorance is showing.  What I do know how to use is the
>> Linux cross reference at http://lxr.linux.no/+trees, and by using that
>> it appears that this bug, in some form, goes all the way back to day 1.
>> All supported stable kernels will no doubt contain the bug, though the
>> line numbers in the patch may need to be adjusted from one release to
>> the next.  It is a very simple one-line change.
>> 
>> So, stable, I hereby respectfully request that the above-mentioned bug
>> fix be backported to the supported stable kernel releases.  Personally,
>> I am most interested in the 2.6.32 kernel, as that is the basis for
>> Debian Squeeze.
> 
> Ok, now queued up, thanks.
> 
> greg k-h

Thanks, Greg.

-- 
  .''`.     Stephen Powell    
 : :'  :
 `. `'`
   `-




Added tag(s) pending. Request was from Moritz Muehlenhoff <jmm@alioth.debian.org> to control@bugs.debian.org. (Mon, 16 May 2011 18:45:06 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 14 Jun 2011 07:34:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:44:25 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.